<?php
namespace app\api\route;

use app\api\middleware\AllowOriginMiddleware;
use app\api\middleware\UserMiddleware;
use think\facade\Route;

/**
 * 订单接口
 */
Route::group('order',function () {
    //产品信息
    Route::rule('getProductInfo', 'v1.order/getProductInfo');
    //买样订单
    Route::rule('buyOrder','v1.order/buyOrder');
    //代发订单
    Route::rule('subOrder','v1.order/subOrder');
    //微信支付
    Route::rule('wxPay', 'v1.weixin/pay');
    //余额支付
    Route::rule('balancePay','v1.order/balancePay');

})->middleware([
    AllowOriginMiddleware::class,
    UserMiddleware::class
]);
